Subject: Re: un.h
From: [email-masked] (Chris)

10 Dec 1998 20:18:27 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
To: "Mika Löf" <[email-masked]>,
        "[email-masked]" <[email-masked]>

Hi,
I had that kind of problem while porting some code using Sockets...
In "un.h" you will find definitions for Unix ipc domain (sockaddr_un structure)
If your code is handling sockets, you'll have to add :
#define Win32_Winsock
#include <windows.h>
and put <include un.h> in comments
and add -lwsock32 to your gcc command line.
Hope this help ;-)
Christine

Mika Löf wrote:

>  I compiled the GNU inetutils-1.3a (with Sergey's diffs applied) package but
> syslogd didn't compile, error referring to missing un.h headers. What do these
> headers consist of? Why is un.h missing from cygwin32? Are they intentionally
> left out because of some missing feature (as I am guessing)
>  What should un.h look like on my machine?
> Running CygWin b20 (the full.exe package with updated 20.1 cygwin.dll)
>  I don't know much about C programming, however I've compiled a few of my own
> *simple* Linux programs on CygWin :-)
>
> "The only stupid question is the unasked one."
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".

--
Christine Pourcelot
stagiaire projet CODES (INRIA ROCQUENCOURT)
[email-masked]
tel : 01 39 63 57 70

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".